/******************************************************************************
 * Product: JPiere                                                            *
 * Copyright (C) Hideaki Hagiwara (h.hagiwara@oss-erp.co.jp)                  *
 *                                                                            *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY.                          *
 * See the GNU General Public License for more details.                       *
 *                                                                            *
 * JPiere is maintained by OSS ERP Solutions Co., Ltd.                        *
 * (http://www.oss-erp.co.jp)                                                 *
 *****************************************************************************/

package jpiere.plugin.webui.sso.factory;

import java.sql.ResultSet;

import org.adempiere.base.IModelFactory;
import org.compiere.model.PO;
import org.compiere.util.Env;

import jpiere.plugin.webui.sso.model.MSAMLConfig;


/**
 *  JPIERE-0446
 *
 *  @author Hideaki Hagiwara(h.hagiwara@oss-erp.co.jp)
 *
 */
public class JPierePluginSSOModelFactory implements IModelFactory {


	@Override
	public Class<?> getClass(String tableName)
	{
		if(tableName.startsWith("JP_SAML"))
		{
			if(tableName.equals(MSAMLConfig.Table_Name))
			{
				return MSAMLConfig.class;
			}
		}

		return null;
	}

	@Override
	public PO getPO(String tableName, int Record_ID, String trxName)
	{

		if(tableName.startsWith("JP_SAML"))
		{
			if(tableName.equals(MSAMLConfig.Table_Name))
			{
				return new MSAMLConfig(Env.getCtx(), Record_ID, trxName);
			}
		}

		return null;
	}

	@Override
	public PO getPO(String tableName, ResultSet rs, String trxName) {

		if(tableName.startsWith("JP_SAML"))
		{
			if(tableName.equals(MSAMLConfig.Table_Name))
			{
				return new MSAMLConfig(Env.getCtx(), rs, trxName);
			}
		}

		return null;
	}


}
