/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package jpiere.plugin.webui.sso.model;

import java.math.BigDecimal;
import java.sql.Timestamp;
import org.compiere.model.*;
import org.compiere.util.KeyNamePair;

/** Generated Interface for JP_SAML_Config
 *  @author iDempiere (generated) 
 *  @version Release 6.2
 */
@SuppressWarnings("all")
public interface I_JP_SAML_Config 
{

    /** TableName=JP_SAML_Config */
    public static final String Table_Name = "JP_SAML_Config";

    /** AD_Table_ID=1000234 */
    public static final int Table_ID = MTable.getTable_ID(Table_Name);

    KeyNamePair Model = new KeyNamePair(Table_ID, Table_Name);

    /** AccessLevel = 7 - System - Client - Org 
     */
    BigDecimal accessLevel = BigDecimal.valueOf(7);

    /** Load Meta Data */

    /** Column name AD_Client_ID */
    public static final String COLUMNNAME_AD_Client_ID = "AD_Client_ID";

	/** Get Client.
	  * Client/Tenant for this installation.
	  */
	public int getAD_Client_ID();

    /** Column name AD_Org_ID */
    public static final String COLUMNNAME_AD_Org_ID = "AD_Org_ID";

	/** Set Organization.
	  * Organizational entity within client
	  */
	public void setAD_Org_ID (int AD_Org_ID);

	/** Get Organization.
	  * Organizational entity within client
	  */
	public int getAD_Org_ID();

    /** Column name Created */
    public static final String COLUMNNAME_Created = "Created";

	/** Get Created.
	  * Date this record was created
	  */
	public Timestamp getCreated();

    /** Column name CreatedBy */
    public static final String COLUMNNAME_CreatedBy = "CreatedBy";

	/** Get Created By.
	  * User who created this records
	  */
	public int getCreatedBy();

    /** Column name Description */
    public static final String COLUMNNAME_Description = "Description";

	/** Set Description.
	  * Optional short description of the record
	  */
	public void setDescription (String Description);

	/** Get Description.
	  * Optional short description of the record
	  */
	public String getDescription();

    /** Column name Help */
    public static final String COLUMNNAME_Help = "Help";

	/** Set Comment/Help.
	  * Comment or Hint
	  */
	public void setHelp (String Help);

	/** Get Comment/Help.
	  * Comment or Hint
	  */
	public String getHelp();

    /** Column name IsActive */
    public static final String COLUMNNAME_IsActive = "IsActive";

	/** Set Active.
	  * The record is active in the system
	  */
	public void setIsActive (boolean IsActive);

	/** Get Active.
	  * The record is active in the system
	  */
	public boolean isActive();

    /** Column name IsVerboseJP */
    public static final String COLUMNNAME_IsVerboseJP = "IsVerboseJP";

	/** Set Verbose	  */
	public void setIsVerboseJP (boolean IsVerboseJP);

	/** Get Verbose	  */
	public boolean isVerboseJP();

    /** Column name JP_SAML_Assertion_Issuer */
    public static final String COLUMNNAME_JP_SAML_Assertion_Issuer = "JP_SAML_Assertion_Issuer";

	/** Set SAML Assertion Issuer	  */
	public void setJP_SAML_Assertion_Issuer (String JP_SAML_Assertion_Issuer);

	/** Get SAML Assertion Issuer	  */
	public String getJP_SAML_Assertion_Issuer();

    /** Column name JP_SAML_Assertion_PublicKey */
    public static final String COLUMNNAME_JP_SAML_Assertion_PublicKey = "JP_SAML_Assertion_PublicKey";

	/** Set SAML Assertion Sign PK	  */
	public void setJP_SAML_Assertion_PublicKey (String JP_SAML_Assertion_PublicKey);

	/** Get SAML Assertion Sign PK	  */
	public String getJP_SAML_Assertion_PublicKey();

    /** Column name JP_SAML_AvailablePeriod */
    public static final String COLUMNNAME_JP_SAML_AvailablePeriod = "JP_SAML_AvailablePeriod";

	/** Set Response Available Period(Min)	  */
	public void setJP_SAML_AvailablePeriod (int JP_SAML_AvailablePeriod);

	/** Get Response Available Period(Min)	  */
	public int getJP_SAML_AvailablePeriod();

    /** Column name JP_SAML_Binding */
    public static final String COLUMNNAME_JP_SAML_Binding = "JP_SAML_Binding";

	/** Set SAML Binding	  */
	public void setJP_SAML_Binding (String JP_SAML_Binding);

	/** Get SAML Binding	  */
	public String getJP_SAML_Binding();

    /** Column name JP_SAML_Config_ID */
    public static final String COLUMNNAME_JP_SAML_Config_ID = "JP_SAML_Config_ID";

	/** Set SAML Config	  */
	public void setJP_SAML_Config_ID (int JP_SAML_Config_ID);

	/** Get SAML Config	  */
	public int getJP_SAML_Config_ID();

    /** Column name JP_SAML_Config_UU */
    public static final String COLUMNNAME_JP_SAML_Config_UU = "JP_SAML_Config_UU";

	/** Set JP_SAML_Config_UU	  */
	public void setJP_SAML_Config_UU (String JP_SAML_Config_UU);

	/** Get JP_SAML_Config_UU	  */
	public String getJP_SAML_Config_UU();

    /** Column name JP_SAML_NameIDPolicy */
    public static final String COLUMNNAME_JP_SAML_NameIDPolicy = "JP_SAML_NameIDPolicy";

	/** Set Name ID Policy	  */
	public void setJP_SAML_NameIDPolicy (String JP_SAML_NameIDPolicy);

	/** Get Name ID Policy	  */
	public String getJP_SAML_NameIDPolicy();

    /** Column name JP_SAML_Parameter */
    public static final String COLUMNNAME_JP_SAML_Parameter = "JP_SAML_Parameter";

	/** Set SAML Parameter	  */
	public void setJP_SAML_Parameter (String JP_SAML_Parameter);

	/** Get SAML Parameter	  */
	public String getJP_SAML_Parameter();

    /** Column name JP_SAML_Parameter_Value */
    public static final String COLUMNNAME_JP_SAML_Parameter_Value = "JP_SAML_Parameter_Value";

	/** Set SAML Parameter Value	  */
	public void setJP_SAML_Parameter_Value (String JP_SAML_Parameter_Value);

	/** Get SAML Parameter Value	  */
	public String getJP_SAML_Parameter_Value();

    /** Column name JP_SAML_Redirect_URL */
    public static final String COLUMNNAME_JP_SAML_Redirect_URL = "JP_SAML_Redirect_URL";

	/** Set SAML Redirect URL	  */
	public void setJP_SAML_Redirect_URL (String JP_SAML_Redirect_URL);

	/** Get SAML Redirect URL	  */
	public String getJP_SAML_Redirect_URL();

    /** Column name JP_SAML_Request_Issuer */
    public static final String COLUMNNAME_JP_SAML_Request_Issuer = "JP_SAML_Request_Issuer";

	/** Set SAML Request Issuer	  */
	public void setJP_SAML_Request_Issuer (String JP_SAML_Request_Issuer);

	/** Get SAML Request Issuer	  */
	public String getJP_SAML_Request_Issuer();

    /** Column name JP_SAML_Response_PublicKey */
    public static final String COLUMNNAME_JP_SAML_Response_PublicKey = "JP_SAML_Response_PublicKey";

	/** Set SAML Response Sign PK	  */
	public void setJP_SAML_Response_PublicKey (String JP_SAML_Response_PublicKey);

	/** Get SAML Response Sign PK	  */
	public String getJP_SAML_Response_PublicKey();

    /** Column name JP_SAML_ServletFile */
    public static final String COLUMNNAME_JP_SAML_ServletFile = "JP_SAML_ServletFile";

	/** Set SAML Servlet File	  */
	public void setJP_SAML_ServletFile (String JP_SAML_ServletFile);

	/** Get SAML Servlet File	  */
	public String getJP_SAML_ServletFile();

    /** Column name Updated */
    public static final String COLUMNNAME_Updated = "Updated";

	/** Get Updated.
	  * Date this record was updated
	  */
	public Timestamp getUpdated();

    /** Column name UpdatedBy */
    public static final String COLUMNNAME_UpdatedBy = "UpdatedBy";

	/** Get Updated By.
	  * User who updated this records
	  */
	public int getUpdatedBy();
}
